API referenceSequences

Update a sequence

PATCH/sequences/{id}

Changing steps creates a new graph version; contacts already enrolled finish on the version they started.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/sequences/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "object": "sequence",  "id": "string",  "name": "string",  "description": "string",  "status": "draft",  "trigger": {    "type": "event",    "event": "string"  },  "steps": {    "entry": "string",    "steps": {      "property1": {        "type": "delay",        "duration": {          "amount": 1,          "unit": "minutes"        },        "until_time": {          "weekdays": [            "mon"          ],          "time": "string",          "timezone": "string"        },        "until_date": {          "property": "string",          "offset": {            "amount": 1,            "unit": "minutes",            "direction": "before"          },          "time": "string",          "timezone": "string"        },        "next": "string"      },      "property2": {        "type": "delay",        "duration": {          "amount": 1,          "unit": "minutes"        },        "until_time": {          "weekdays": [            "mon"          ],          "time": "string",          "timezone": "string"        },        "until_date": {          "property": "string",          "offset": {            "amount": 1,            "unit": "minutes",            "direction": "before"          },          "time": "string",          "timezone": "string"        },        "next": "string"      }    }  },  "graph_version": 1,  "from": "string",  "reply_to": [    "string"  ],  "allow_reentry": true,  "stats": {    "active": 0,    "completed": 0,    "exited": 0  },  "activated_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}